# Class NativeMethodException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.sun.jdi.OpaqueFrameException
com.sun.jdi.NativeMethodException

All Implemented Interfaces:
  `Serializable`

public non-sealed class NativeMethodException extends OpaqueFrameException
Thrown to indicate an operation cannot be completed because it is not valid for a native method.

Since:
  1.3
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NativeMethodException()`
  `NativeMethodException(String message)`

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NativeMethodException

    public NativeMethodException()

  - ### NativeMethodException

    public NativeMethodException(String message)